#ifdef VHDL

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>
using namespace std;

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::get_library_work"
  string Vhdl::get_library_work (uint32_t depth)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    list<string>::iterator i   = _list_library_work.begin();
    string                 tab = string(depth,'\t');
    ostringstream          text;

    if (i != _list_library_work.end())
      text << tab                    << endl
	   << tab << "library work;" << endl
	   << get_list(_list_library_work,depth,";",true);

    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return text.str();
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
